Bug 233414 - Folder size of collapsed folders does not include subfolder size
Summary: Folder size of collapsed folders does not include subfolder size
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: folders (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: LO normal (vote)
Target Milestone: ---
Assignee: Stephen Kelly
URL:
Keywords: akonadi-ports-regression
Depends on:
Blocks:
 
Reported: 2010-04-05 20:22 UTC by Thomas McGuire
Modified: 2012-02-08 08:40 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas McGuire 2010-04-05 20:22:29 UTC
The size column in KMail's folder list only shows the size of the current folder, and does not include the combined size of the subfolders when collapsed.
This is inconsistent with the behaviour of the unread column.
Also, the tooltip should always show the both the size of the folder and the combined size, like KMail 1 did.
Comment 1 Thomas McGuire 2010-04-06 09:57:12 UTC
Model/view/delegate problem, so adding Steve to CC list.
Comment 2 Laurent Montel 2012-02-08 08:22:53 UTC
Git commit 9f8f5c5fad54053318eb25976b55b79845394fba by Montel Laurent.
Committed on 08/02/2012 at 09:22.
Pushed by mlaurent into branch 'master'.

Start to fix Bug 233414 - Folder size of collapsed folders does not

include subfolder size
Now collapse folder show total size

M  +15   -4    akonadi/collectionstatisticsdelegate.cpp

http://commits.kde.org/kdepimlibs/9f8f5c5fad54053318eb25976b55b79845394fba
Comment 3 Laurent Montel 2012-02-08 08:23:25 UTC
Git commit 9d9021c5e9b932ce1b92c08aba60e3e89d8fdbcb by Montel Laurent.
Committed on 08/02/2012 at 09:22.
Pushed by mlaurent into branch 'KDE/4.8'.

Start to fix Bug 233414 - Folder size of collapsed folders does not

include subfolder size
Now collapse folder show total size
(cherry picked from commit 9f8f5c5fad54053318eb25976b55b79845394fba)

M  +15   -4    akonadi/collectionstatisticsdelegate.cpp

http://commits.kde.org/kdepimlibs/9d9021c5e9b932ce1b92c08aba60e3e89d8fdbcb
Comment 4 Laurent Montel 2012-02-08 08:37:18 UTC
Git commit ddf978ada487e4120100fb060c5ba15168cf9ff8 by Montel Laurent.
Committed on 08/02/2012 at 09:36.
Pushed by mlaurent into branch 'master'.

Fix Bug 233414 - Folder size of collapsed folders does not include

subfolder size
Show subfolder size in tooltip
FIXED-IN: 4.9

M  +29   -1    libkdepim/statisticsproxymodel.cpp

http://commits.kde.org/kdepim/ddf978ada487e4120100fb060c5ba15168cf9ff8
Comment 5 Laurent Montel 2012-02-08 08:40:29 UTC
For tooltip it's in 4.9
for delegate it's in 4.8.1